git-branchless-amend(1)

NAME
amend - Amend the current HEAD commit

SYNOPSIS
amend [-f|--force-rewrite] [--in-memory] [--on-disk] [--no-deduplicate-commits] [-m|--merge] [--debug-dump-rebase-constraints] [--debug-dump-rebase-plan] [--reparent] [-h|--help]

DESCRIPTION
Amend the current HEAD commit

OPTIONS

-f, --force-rewrite
    Force moving public commits, even though other people may have access to those commits

--in-memory
    Only attempt to perform an in-memory rebase. If it fails, do not attempt an on-disk rebase

--on-disk
    Skip attempting to use an in-memory rebase, and try an on-disk rebase directly

--no-deduplicate-commits
    Don't attempt to deduplicate commits. Normally, a commit with the same contents as another commit which has already been applied to the target branch is skipped. If set, this flag skips that check

-m, --merge
    Attempt to resolve merge conflicts, if any. If a merge conflict occurs and this option is not set, the operation is aborted

--debug-dump-rebase-constraints
    Debugging option. Print the constraints used to create the rebase plan before executing it

--debug-dump-rebase-plan
    Debugging option. Print the rebase plan that will be executed before executing it

--reparent
    Modify the contents of the current HEAD commit, but keep all contents of descendant commits exactly the same (i.e. "reparent" them). This can be useful when applying formatting or refactoring changes

-h, --help
    Print help